%define objprelink 0

Name: camstream
Version: 0.26.1
Release: alt2
Summary: Camstream, tools for webcams
License: GPL
Group: Video
URL: http://www.smcc.demon.nl/camstream
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>
Requires: libqt3-gcc_compiled = %__gcc_version_base

Source0: %name-%version.tar.bz2
Source1: %name.png

# Automatically added by buildreq on Sun Nov 17 2002
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ 
BuildRequires: libGLU libXft libexpat libjpeg-devel liblcms libmng 
BuildRequires: libpng-devel libqt3-devel libstdc++-devel zlib-devel
BuildRequires: libqt3-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
Camstream, tools for webcams

%prep
%setup -q

%build
export QTDIR=/usr/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export CFLAGS="%optflags"
export CXXFLAGS="%optflags"

./configure --prefix=%buildroot%_prefix \
	--enable-shared \
	--disable-rpath \
	--disable-static \
	--disable-debug

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install
%set_verify_elf_method relaxed

#icons
mkdir %buildroot%_iconsdir
cp %SOURCE1 %buildroot%_iconsdir/%name.png

#create menu
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%name <<EOF
?package(%name): \
command="/usr/bin/%name" \
title="Camstream" \
longtitle="Camstream, tools for webcams" \
needs="x11" \
icon="%name.png" \
section="Multimedia/Video" 
EOF
)

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang 
%doc README
%dir %_datadir/%name
%dir %_datadir/%name/icons
%_datadir/%name/icons/*
%_bindir/*
%_menudir/%name
%_iconsdir/*

%changelog
* Mon Feb 03 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.26.1-alt2
- new requires and buildrequires

* Sun Nov 17 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.26.1-alt1
- 0.26.1

- specfile cleanup
